## speech-dispatcher 0.11.1

=== debian/changelog ===
speech-dispatcher (0.11.1-1~bpo11+1) bullseye-backports; urgency=medium

  * Backport to bullseye.
    - Drop libdumbtts-dev build-dep.
    - Drop speech-dispatcher-ivona package.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 14 Jan 2022 09:34:31 +0100

speech-dispatcher (0.11.1-1) unstable; urgency=medium

  * New upstream release.
  * Play cat and mice again with lintian warning suppression.
  * control: Bump Standards-Version to 4.6.0 (no change)

 -- Samuel Thibault <sthibault@debian.org>  Sun, 09 Jan 2022 01:53:42 +0100

=== debian/control ===
Source: speech-dispatcher
Section: sound
Priority: optional
Maintainer: Debian TTS Team <tts-project@alioth-lists.debian.net>
Uploaders:
 Paul Gevers <elbrus@debian.org>, Samuel Thibault <sthibault@debian.org>
Build-Depends:
 automake,
 debhelper-compat (= 12), dh-exec,
 dh-python,
 python3-xdg,
 flite1-dev (>= 1.4), flite,
 gettext,
 libao-dev,
 libasound2-dev [linux-any],
 libaudio-dev,
 libdotconf-dev (>= 1.3),
 libespeak-dev, libespeak-ng-dev,
 libglib2.0-dev (>= 2.36),
 libltdl-dev,
 libpulse-dev,
 libtool,
 libxau-dev,
 libsndfile1-dev,
# libdumbtts-dev,
# libttspico-dev,
 texinfo,
 systemd [linux-any],
 help2man,
 python3:any
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/tts-team/speech-dispatcher
Vcs-Git: https://salsa.debian.org/tts-team/speech-dispatcher.git
Homepage: http://devel.freebsoft.org/speechd
XS-Autobuild: yes
Standards-Version: 4.6.0

##start-contrib
#Package: speech-dispatcher-pico
#Architecture: any
#Multi-Arch: foreign
#Depends:
# ${shlibs:Depends},
# ${misc:Depends},
# speech-dispatcher (>= ${source:Upstream-Version}),
# speech-dispatcher (<< ${source:Upstream-Version}.0~)
#Breaks:
# speech-dispatcher-contrib (<< 0.8.5-5),
# speech-dispatcher (<< 0.10.2-1),
#Replaces:
# speech-dispatcher-contrib (<< 0.8.5-5),
# speech-dispatcher (<< 0.10.2-1),
#Description: Speech Dispatcher: Pico output module
# Speech Dispatcher provides a device independent layer for speech synthesis.
# It supports various software and hardware speech synthesizers as
# backends and provides a generic layer for synthesizing speech and
# playing back PCM data via those different backends to applications.
# .
# Various high level concepts like enqueueing vs. interrupting speech and
# application specific user configurations are implemented in a device
# independent way, therefore freeing the application programmer from
# having to yet again reinvent the wheel.
# .
# This package contains the output module for the pico speech synthesizer.
#
#Package: speech-dispatcher-baratinoo
#Architecture: any
#Multi-Arch: foreign
#Section: contrib/sound
#Depends:
# ${shlibs:Depends},
# ${misc:Depends},
# speech-dispatcher (>= ${source:Upstream-Version}),
# speech-dispatcher (<< ${source:Upstream-Version}.0~)
#Breaks: speech-dispatcher (<< 0.10.2-1)
#Replaces: speech-dispatcher (<< 0.10.2-1)
#Recommends:
# voxygen
#Description: Speech Dispatcher: Baratinoo (VoxyGen) output module
# Speech Dispatcher provides a device independent layer for speech synthesis.
# It supports various software and hardware speech synthesizers as
# backends and provides a generic layer for synthesizing speech and
# playing back PCM data via those different backends to applications.
# .
# Various high level concepts like enqueueing vs. interrupting speech and
# application specific user configurations are implemented in a device
# independent way, therefore freeing the application programmer from
# having to yet again reinvent the wheel.
# .
# This package contains the output module for the Baratinoo speech synthesizer,
# also called VoxyGen, which needs to be installed separately.
#
#Package: speech-dispatcher-kali
#Architecture: any
#Multi-Arch: foreign
#Section: contrib/sound
#Depends:
# ${shlibs:Depends},
# ${misc:Depends},
# speech-dispatcher (>= ${source:Upstream-Version}),
# speech-dispatcher (<< ${source:Upstream-Version}.0~)
#Breaks: speech-dispatcher (<< 0.10.2-1)
#Replaces: speech-dispatcher (<< 0.10.2-1)
#Recommends:
# kali-tts
#Description: Speech Dispatcher: Kali output module
# Speech Dispatcher provides a device independent layer for speech synthesis.
# It supports various software and hardware speech synthesizers as
# backends and provides a generic layer for synthesizing speech and
# playing back PCM data via those different backends to applications.
# .
# Various high level concepts like enqueueing vs. interrupting speech and
# application specific user configurations are implemented in a device
# independent way, therefore freeing the application programmer from
# having to yet again reinvent the wheel.
# .
# This package contains the output module for the Kali speech synthesizer,
# which needs to be installed separately.
#
#Package: speech-dispatcher-ibmtts
#Architecture: i386
#Multi-Arch: foreign
#Section: contrib/sound
#Depends:
# ${shlibs:Depends},
# ${misc:Depends},
# speech-dispatcher-audio-plugins (>= ${source:Upstream-Version}),
# speech-dispatcher-audio-plugins (<< ${source:Upstream-Version}.0~),
# speech-dispatcher (>= ${source:Upstream-Version}),
# speech-dispatcher (<< ${source:Upstream-Version}.0~)
#Breaks: speech-dispatcher (<< 0.10.1-3)
#Replaces: speech-dispatcher (<< 0.10.1-3)
#Description: Speech Dispatcher: IBM TTS output module
# Speech Dispatcher provides a device independent layer for speech synthesis.
# It supports various software and hardware speech synthesizers as
# backends and provides a generic layer for synthesizing speech and
# playing back PCM data via those different backends to applications.
# .
# Various high level concepts like enqueueing vs. interrupting speech and
# application specific user configurations are implemented in a device
# independent way, therefore freeing the application programmer from
# having to yet again reinvent the wheel.
# .
# This package contains the output module for the IBM TTS (aka Eloquence),
# which needs to be installed separately.
#
#Package: speech-dispatcher-voxin
#Architecture: amd64 i386
#Multi-Arch: foreign
#Section: contrib/sound
#Depends:
# ${shlibs:Depends},
# ${misc:Depends},
# speech-dispatcher-audio-plugins (>= ${source:Upstream-Version}),
# speech-dispatcher-audio-plugins (<< ${source:Upstream-Version}.0~),
# speech-dispatcher (>= ${source:Upstream-Version}),
# speech-dispatcher (<< ${source:Upstream-Version}.0~)
#Breaks: speech-dispatcher (<< 0.10.1-3)
#Replaces: speech-dispatcher (<< 0.10.1-3)
#Description: Speech Dispatcher: Voxin output module
# Speech Dispatcher provides a device independent layer for speech synthesis.
# It supports various software and hardware speech synthesizers as
# backends and provides a generic layer for synthesizing speech and
# playing back PCM data via those different backends to applications.
# .
# Various high level concepts like enqueueing vs. interrupting speech and
# application specific user configurations are implemented in a device
# independent way, therefore freeing the application programmer from
# having to yet again reinvent the wheel.
# .
# This package contains the output module for the Voxin speech synthesizer,
# which supports IBM TTS (aka Eloquence) and Vocalizer Embedded, which needs to
# be installed separately.
##end-contrib

Package: speech-dispatcher
Architecture: any
Multi-Arch: foreign
Depends:
 adduser,
 lsb-base (>= 3.0-10),
 speech-dispatcher-audio-plugins (= ${binary:Version}),
 init-system-helpers (>= 1.51),
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 pulseaudio,
 speech-dispatcher-espeak-ng,
 sound-icons
Suggests:
 libttspico-utils,
 espeak,
 mbrola,
 speech-dispatcher-doc-cs,
 speech-dispatcher-festival,
 speech-dispatcher-cicero,
 speech-dispatcher-flite,
 speech-dispatcher-espeak
Breaks:
 libspeechd2 (<< 0.9~),
 python-speechd (<< 0.9~),
 python3-speechd (<< 0.9~),
 cl-speech-dispatcher (<< 0.9~),
 speech-dispatcher-kali (<< 0.10.2-1~),
 speech-dispatcher-ibmtts (<< 0.10.2-1~),
 speech-dispatcher-baratinoo (<< 0.10.2-1~),
Description: Common interface to speech synthesizers
 Speech Dispatcher provides a device independent layer for speech synthesis.
 It supports various software and hardware speech synthesizers as
 backends and provides a generic layer for synthesizing speech and
 playing back PCM data via those different backends to applications.
 .
 Various high level concepts like enqueueing vs. interrupting speech and
 application specific user configurations are implemented in a device
 independent way, therefore freeing the application programmer from
 having to yet again reinvent the wheel.
 .
 This package contains Speech Dispatcher itself.

Package: libspeechd2
Architecture: any
Multi-Arch: same
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Pre-Depends:
 ${misc:Pre-Depends}
Description: Speech Dispatcher: Shared libraries
 Speech Dispatcher provides a device independent layer for speech synthesis.
 It supports various software and hardware speech synthesizers as
 backends and provides a generic layer for synthesizing speech and
 playing back PCM data via those different backends to applications.
 .
 Various high level concepts like enqueueing vs. interrupting speech and
 application specific user configurations are implemented in a device
 independent way, therefore freeing the application programmer from
 having to yet again reinvent the wheel.
 .
 This package contains a shared library needed for C programs linked with it.

Package: libspeechd-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends:
 libspeechd2 (= ${binary:Version}), libglib2.0-dev,
 ${misc:Depends}
Suggests:
 speech-dispatcher
Description: Speech Dispatcher: Development libraries and header files
 Speech Dispatcher provides a device independent layer for speech synthesis.
 It supports various software and hardware speech synthesizers as
 backends and provides a generic layer for synthesizing speech and
 playing back PCM data via those different backends to applications.
 .
 Various high level concepts like enqueueing vs. interrupting speech and
 application specific user configurations are implemented in a device
 independent way, therefore freeing the application programmer from
 having to yet again reinvent the wheel.
 .
 This package contains static library, and C headers needed for programs
 linked with the shared or static library.

Package: cl-speech-dispatcher
Architecture: all
Section: lisp
Depends:
 cl-regex,
 ${misc:Depends}
Description: Common Lisp interface to Speech Dispatcher
 Speech Dispatcher provides a device independent layer for speech synthesis.
 It supports various software and hardware speech synthesizers as
 backends and provides a generic layer for synthesizing speech and
 playing back PCM data via those different backends to applications.
 .
 Various high level concepts like enqueueing vs. interrupting speech and
 application specific user configurations are implemented in a device
 independent way, therefore freeing the application programmer from
 having to yet again reinvent the wheel.
 .
 This package contains a Common Lisp library for communication with Speech
 Dispatcher.

Package: python3-speechd
Architecture: all
Section: python
Breaks:
 python-speechd
Replaces:
 python-speechd
Depends:
 python3-xdg,
 ${misc:Depends},
 ${python3:Depends}
Description: Python interface to Speech Dispatcher
 Speech Dispatcher provides a device independent layer for speech synthesis.
 It supports various software and hardware speech synthesizers as
 backends and provides a generic layer for synthesizing speech and
 playing back PCM data via those different backends to applications.
 .
 Various high level concepts like enqueueing vs. interrupting speech and
 application specific user configurations are implemented in a device
 independent way, therefore freeing the application programmer from
 having to yet again reinvent the wheel.
 .
 This package contains a Python library for communication with Speech
 Dispatcher.

Package: speech-dispatcher-festival
Architecture: any
Multi-Arch: foreign
Depends:
 festival,
 festival-freebsoft-utils,
 speech-dispatcher,
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 sound-icons
Description: Festival support for Speech Dispatcher
 Speech Dispatcher provides a device independent layer for speech synthesis.
 It supports various software and hardware speech synthesizers as
 backends and provides a generic layer for synthesizing speech and
 playing back PCM data via those different backends to applications.
 .
 Various high level concepts like enqueueing vs. interrupting speech and

## speech-dispatcher 0.11.2

=== debian/changelog ===
speech-dispatcher (0.11.2-2~bpo11+1) bullseye-backports; urgency=medium

  * Backport to bullseye.
    - Drop libdumbtts-dev build-dep.
    - Drop speech-dispatcher-ivona package.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 05 Sep 2022 20:44:13 +0200

speech-dispatcher (0.11.2-2) unstable; urgency=medium

  * test-patches/use_system_libspeechd: Refresh.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 26 Aug 2022 00:46:25 +0200

speech-dispatcher (0.11.2-1) unstable; urgency=medium

  [ Samuel Thibault ]
  * New upstream release (Closes: Bug#1018075)
    - patches/clibrary2: Upstreamed.
    - patches/mbrola-paths: Refresh.
    - libspeechd2.symbols: Add free_spd_symbolic_voices symbol.

  [ Sebastien Bacher ]
  * debian/speech-dispatcher.maintscript:
    - don't remove mary-generic.conf on upgrade, it's included in the
      package again. Fix conffile prompt on update (lp: #1981611)
      (Closes: Bug#1015804)

  [ Samuel Thibault ]
  * rules: Leverage /usr/share/dpkg/pkg-info.mk to provide package
    information.
  * speech-dispatcher.lintian-overrides: Update formatting.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 26 Aug 2022 00:20:22 +0200

speech-dispatcher (0.11.1-3) unstable; urgency=medium

  * patches/clibrary2: avoid iterating over each and every voice.
  * tests/: Add testsuite in autopkgtest.
  * control: Drop recommending pulseaudio, so pipewire can be installed
    by installation tasks instead (Closes: Bug#1011361)

 -- Samuel Thibault <sthibault@debian.org>  Sat, 28 May 2022 22:59:04 +0200

speech-dispatcher (0.11.1-2) unstable; urgency=medium

  * Continue playing cat and mice again with lintian warning suppression.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 29 Jan 2022 14:48:11 +0100

=== debian/control ===
--- 
+++ 
@@ -5,29 +5,24 @@
 Uploaders:
  Paul Gevers <elbrus@debian.org>, Samuel Thibault <sthibault@debian.org>
 Build-Depends:
- automake,
- debhelper-compat (= 12), dh-exec,
- dh-python,
- python3-xdg,
+ debhelper-compat (= 12), dh-exec, dh-python,
+ automake, libtool,
+ python3:any, python3-xdg,
  flite1-dev (>= 1.4), flite,
- gettext,
+ libespeak-dev, libespeak-ng-dev,
+# libdumbtts-dev,
+# libttspico-dev,
  libao-dev,
  libasound2-dev [linux-any],
  libaudio-dev,
+ libpulse-dev,
+ libxau-dev,
+ libsndfile1-dev,
  libdotconf-dev (>= 1.3),
- libespeak-dev, libespeak-ng-dev,
  libglib2.0-dev (>= 2.36),
  libltdl-dev,
- libpulse-dev,
- libtool,
- libxau-dev,
- libsndfile1-dev,
-# libdumbtts-dev,
-# libttspico-dev,
- texinfo,
  systemd [linux-any],
- help2man,
- python3:any
+ gettext, texinfo, help2man
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/tts-team/speech-dispatcher
 Vcs-Git: https://salsa.debian.org/tts-team/speech-dispatcher.git
@@ -184,7 +179,6 @@
  ${misc:Depends},
  ${shlibs:Depends}
 Recommends:
- pulseaudio,
  speech-dispatcher-espeak-ng,
  sound-icons
 Suggests:

## speech-dispatcher 0.11.3

=== debian/changelog ===
speech-dispatcher (0.11.3-1~bpo11+1) bullseye-backports; urgency=medium

  * Backport to bullseye.
    - Drop libdumbtts-dev build-dep.
    - Drop speech-dispatcher-ivona package.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 05 Sep 2022 20:44:13 +0200

speech-dispatcher (0.11.3-1) unstable; urgency=medium

  * New upstream release.
    - patches/systemd-debian: Refresh.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 18 Sep 2022 02:03:59 +0200

speech-dispatcher (0.11.2-3) unstable; urgency=medium

  * debian/speech-dispatcher.init, debian/patches/systemd-debian: Pass -t 0 to
    speech-dispatcher started as a daemon.
  * control: Make cl-speech-dispatcher and python3-speechd Multi-Arch: foreign.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 17 Sep 2022 21:26:12 +0200

=== debian/control ===
--- 
+++ 
@@ -258,6 +258,7 @@
 
 Package: cl-speech-dispatcher
 Architecture: all
+Multi-Arch: foreign
 Section: lisp
 Depends:
  cl-regex,
@@ -278,6 +279,7 @@
 
 Package: python3-speechd
 Architecture: all
+Multi-Arch: foreign
 Section: python
 Breaks:
  python-speechd
@@ -318,4 +320,3 @@
  backends and provides a generic layer for synthesizing speech and
  playing back PCM data via those different backends to applications.
  .
- Various high level concepts like enqueueing vs. interrupting speech and

## speech-dispatcher 0.11.4

=== debian/changelog ===
speech-dispatcher (0.11.4-2) unstable; urgency=medium

  * patches/buffer_size: Reduce espeak buffer size to avoid synth artifacts.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 25 Nov 2022 14:04:48 +0100

speech-dispatcher (0.11.4-1) unstable; urgency=medium

  * New upstream release.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 30 Oct 2022 23:06:55 +0100

speech-dispatcher (0.11.3-2) unstable; urgency=medium

  * control, rules: Replace dh-python and --with python3 with
    dh-sequence-python3.
  * watch: Use API instead of releases page.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 23 Oct 2022 12:29:15 +0200

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,12 @@
 Uploaders:
  Paul Gevers <elbrus@debian.org>, Samuel Thibault <sthibault@debian.org>
 Build-Depends:
- debhelper-compat (= 12), dh-exec, dh-python,
+ debhelper-compat (= 12), dh-exec, dh-sequence-python3,
  automake, libtool,
  python3:any, python3-xdg,
  flite1-dev (>= 1.4), flite,
  libespeak-dev, libespeak-ng-dev,
-# libdumbtts-dev,
+ libdumbtts-dev,
 # libttspico-dev,
  libao-dev,
  libasound2-dev [linux-any],
@@ -166,6 +166,29 @@
 # This package contains the output module for the Voxin speech synthesizer,
 # which supports IBM TTS (aka Eloquence) and Vocalizer Embedded, which needs to
 # be installed separately.
+#
+#Package: speech-dispatcher-ivona
+#Architecture: any
+#Multi-Arch: foreign
+#Section: contrib/sound
+#Depends:
+# ${shlibs:Depends},
+# ${misc:Depends},
+# speech-dispatcher (>= ${source:Upstream-Version}),
+# speech-dispatcher (<< ${source:Upstream-Version}.0~)
+#Description: Speech Dispatcher: Ivona output module
+# Speech Dispatcher provides a device independent layer for speech synthesis.
+# It supports various software and hardware speech synthesizers as
+# backends and provides a generic layer for synthesizing speech and
+# playing back PCM data via those different backends to applications.
+# .
+# Various high level concepts like enqueueing vs. interrupting speech and
+# application specific user configurations are implemented in a device
+# independent way, therefore freeing the application programmer from
+# having to yet again reinvent the wheel.
+# .
+# This package contains the output module for the Ivona speech synthesizer,
+# which needs to be installed separately.
 ##end-contrib
 
 Package: speech-dispatcher
@@ -293,30 +316,3 @@
  Speech Dispatcher provides a device independent layer for speech synthesis.
  It supports various software and hardware speech synthesizers as
  backends and provides a generic layer for synthesizing speech and
- playing back PCM data via those different backends to applications.
- .
- Various high level concepts like enqueueing vs. interrupting speech and
- application specific user configurations are implemented in a device
- independent way, therefore freeing the application programmer from
- having to yet again reinvent the wheel.
- .
- This package contains a Python library for communication with Speech
- Dispatcher.
-
-Package: speech-dispatcher-festival
-Architecture: any
-Multi-Arch: foreign
-Depends:
- festival,
- festival-freebsoft-utils,
- speech-dispatcher,
- ${misc:Depends},
- ${shlibs:Depends}
-Recommends:
- sound-icons
-Description: Festival support for Speech Dispatcher
- Speech Dispatcher provides a device independent layer for speech synthesis.
- It supports various software and hardware speech synthesizers as
- backends and provides a generic layer for synthesizing speech and
- playing back PCM data via those different backends to applications.
- .

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
include /usr/share/dpkg/pkg-info.mk

# NAS is in universe in Ubuntu
ifeq ($(shell dpkg-vendor --derives-from Ubuntu && echo yes),yes)
	NAS = --with-nas=no
ifneq (,$(filter speech-dispatcher-festival,$(shell dh_listpackages)))
ifeq (${DEB_HOST_ARCH},i386)
	builddeb_overrides = -Nspeech-dispatcher-festival
endif
endif
endif

ifeq ($(DEB_SOURCE),speech-dispatcher)
# disable non-free syntheses
CONFIGURE=--with-baratinoo=no --with-ibmtts=no --with-voxin=no --with-kali=no --with-ivona=no
endif

%:
	dh $@

override_dh_auto_configure:
	for i in espeak-ng-mbrola-generic.conf \
	         espeak-mbrola-generic.conf ; do \
		sed < config/modules/$$i.in > config/modules/$$i -e "s/\$$DEB_HOST_MULTIARCH/$(DEB_HOST_MULTIARCH)/" ; \
	done
	dh_auto_configure -- --with-module-bindir=\$${prefix}/lib/speech-dispatcher-modules \
			     $(CONFIGURE) \
	                     pidpath=/run/speech-dispatcher/ $(NAS)

override_dh_auto_install:
	# Bug#950793
	@echo blhc: ignore-line-regexp: libtool: link:.*
	dh_auto_install --destdir=debian/tmp

ifeq ($(DEB_SOURCE),speech-dispatcher)
override_dh_installinit:
	dh_installinit -a --error-handler=true --no-enable --no-start

override_dh_fixperms-arch:
	dh_fixperms
	chmod 700 $(CURDIR)/debian/speech-dispatcher/var/log/speech-dispatcher

override_dh_makeshlibs:
	dh_makeshlibs -plibspeechd2
endif

override_dh_builddeb:
	dh_builddeb ${builddeb_overrides}

override_dh_gencontrol:
	dh_gencontrol ${builddeb_overrides}

override_dh_installsystemd:
	dh_installsystemd --no-enable

# Switch to main rules
main:
	sed -i 's/^speech-dispatcher-contrib /speech-dispatcher /' debian/changelog
	sed -i '1s/^Source: speech-dispatcher-contrib$$/Source: speech-dispatcher/' debian/control
	sed -i 's/^ libttspico-dev/# libttspico-dev/' debian/control
	sed -i '/^#start-contrib$$/,/^#end-contrib$$/s/^/#/' debian/control
	sed -i '/Package: speech-dispatcher$$/,$$s/^#*//' debian/control
	sed -i '1,/^$$/s_^Section: contrib/_Section: _' debian/control

# Switch to contrib rules
contrib:
	sed -i 's/^speech-dispatcher /speech-dispatcher-contrib /' debian/changelog
	sed -i '1s/^Source: speech-dispatcher$$/Source: speech-dispatcher-contrib/' debian/control
	sed -i 's/^#* libttspico-dev/ libttspico-dev/' debian/control
	sed -i '/^##start-contrib$$/,/^##end-contrib$$/s/^#//' debian/control
	sed -i '/Package: speech-dispatcher$$/,$$s/^/#/' debian/control
	sed -i '1,/^$$/s_^Section: \([^/]*\)$$_Section: contrib/\1_' debian/control

## speech-dispatcher 0.11.5

=== debian/changelog ===
speech-dispatcher (0.11.5-5) unstable; urgency=medium

  [ Nathan Teodosio ]
  * d/t/tests: Use trap to reverse patch so that iterating doesn't break
    (closes: #1076147).

  [ Samuel Thibault ]
  * control: Add python3-setuptools build-dep (Closes: Bug#1080804)

 -- Samuel Thibault <sthibault@debian.org>  Sat, 07 Sep 2024 17:44:47 +0200

speech-dispatcher (0.11.5-4) unstable; urgency=medium

  * control: Drop systemd build-dep, .pc files now provided by systemd-dev
    (Closes: Bug#1060556, Bug#1060599)
  * patches/implicit: Fix build with qa=+bug-implicit-func.
    (Closes: Bug#1066205)

 -- Samuel Thibault <sthibault@debian.org>  Wed, 13 Mar 2024 14:55:48 +0100

speech-dispatcher (0.11.5-3) unstable; urgency=medium

  * control: Enable voxin on armhf and arm64 archs.
  * patches/nopython: Fix building without python.
  * control: Move python dependencies to Build-Depends-Indep.
  * control: Disable help2man build-dep when cross-building and for contrib.
  * control: Build-dep on gawk.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 22 Nov 2023 23:12:11 +0100

speech-dispatcher (0.11.5-2) unstable; urgency=medium

  [ Samuel Thibault ]
  * patches/clean: Clean generated files (Closes: Bug#1048264)

  [ Helmut Grohne ]
  * Fix FTBFS when systemd.pc changes systemdsystemunitdir.
    (Closes: Bug#1052706)

 -- Samuel Thibault <sthibault@debian.org>  Tue, 26 Sep 2023 21:55:02 +0200

speech-dispatcher (0.11.5-1) unstable; urgency=medium

  * New upstream release.
    - patches/buffer_size: Upstreamed.
  * control: Drop dependency on elder version of lsb-base.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 06 Aug 2023 20:16:54 +0200

speech-dispatcher (0.11.4-3) unstable; urgency=medium

  * control: Add missing breaks+replaces between speech-dispatcher-ivona and
    speech-dispatcher, missed when moving ivona.conf from the latter to the
    former (Closes: Bug#1034897)

 -- Samuel Thibault <sthibault@debian.org>  Thu, 27 Apr 2023 01:08:20 +0200

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,8 @@
 Uploaders:
  Paul Gevers <elbrus@debian.org>, Samuel Thibault <sthibault@debian.org>
 Build-Depends:
- debhelper-compat (= 12), dh-exec, dh-sequence-python3,
- automake, libtool,
- python3:any, python3-xdg,
+ debhelper-compat (= 12), dh-exec,
+ automake, libtool, gawk,
  flite1-dev (>= 1.4), flite,
  libespeak-dev, libespeak-ng-dev,
  libdumbtts-dev,
@@ -21,8 +20,12 @@
  libdotconf-dev (>= 1.3),
  libglib2.0-dev (>= 2.36),
  libltdl-dev,
- systemd [linux-any],
- gettext, texinfo, help2man
+ pkgconf,
+ systemd-dev [linux-any],
+ gettext, texinfo,
+ help2man <!cross>
+Build-Depends-Indep:
+ python3:any, python3-xdg, dh-sequence-python3, python3-setuptools,
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/tts-team/speech-dispatcher
 Vcs-Git: https://salsa.debian.org/tts-team/speech-dispatcher.git
@@ -140,7 +143,7 @@
 # which needs to be installed separately.
 #
 #Package: speech-dispatcher-voxin
-#Architecture: amd64 i386
+#Architecture: arm64 armhf amd64 i386
 #Multi-Arch: foreign
 #Section: contrib/sound
 #Depends:
@@ -176,6 +179,8 @@
 # ${misc:Depends},
 # speech-dispatcher (>= ${source:Upstream-Version}),
 # speech-dispatcher (<< ${source:Upstream-Version}.0~)
+#Breaks: speech-dispatcher (<< 0.10.2-3)
+#Replaces: speech-dispatcher (<< 0.10.2-3)
 #Description: Speech Dispatcher: Ivona output module
 # Speech Dispatcher provides a device independent layer for speech synthesis.
 # It supports various software and hardware speech synthesizers as
@@ -196,7 +201,6 @@
 Multi-Arch: foreign
 Depends:
  adduser,
- lsb-base (>= 3.0-10),
  speech-dispatcher-audio-plugins (= ${binary:Version}),
  init-system-helpers (>= 1.51),
  ${misc:Depends},
@@ -314,5 +318,3 @@
  ${python3:Depends}
 Description: Python interface to Speech Dispatcher
  Speech Dispatcher provides a device independent layer for speech synthesis.
- It supports various software and hardware speech synthesizers as
- backends and provides a generic layer for synthesizing speech and

=== debian/tests/control ===
Tests: tests
Depends: speech-dispatcher, libspeechd-dev, pulseaudio,
         @builddeps@

## speech-dispatcher 0.12.0~rc2

=== debian/changelog ===
speech-dispatcher (0.12.0~rc2-2build3) noble; urgency=medium

  * No-change rebuild against libasound2t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 07 Apr 2024 07:23:33 +0000

speech-dispatcher (0.12.0~rc2-2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 00:14:49 +0000

speech-dispatcher (0.12.0~rc2-2build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 23:40:08 +0000

speech-dispatcher (0.12.0~rc2-2) experimental; urgency=medium

  [ Sebastien Bacher ]
  * debian/control:
    - Build-Depends on libsystemd-dev
    - update to compat 13 which default to dh_missing --fail-missing
  * debian/rules, debian/speech-dispatcher.install:
    - include the usr/lib/systemd/user directory which has the new
      socket activation entry (Closes: #1065081)

 -- Samuel Thibault <sthibault@debian.org>  Mon, 04 Mar 2024 02:23:49 +0100

speech-dispatcher (0.12.0~rc2-1) experimental; urgency=medium

  * New upstream RC release
    - patches/static: Upstreamed.
    - libspeechd2.symbols: Update.
    - speech-dispatcher.install: add sd_openjtalk.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 22 Feb 2024 20:26:39 +0100

speech-dispatcher (0.12.0~rc1-1) experimental; urgency=medium

  * New upstream RC release
    - patches/static: Drop spurious symbol.
    - libspeechd2.symbols: Update.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 05 Oct 2023 01:10:48 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,14 @@
 Source: speech-dispatcher
 Section: sound
 Priority: optional
-Maintainer: Debian TTS Team <tts-project@alioth-lists.debian.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian TTS Team <tts-project@alioth-lists.debian.net>
 Uploaders:
  Paul Gevers <elbrus@debian.org>, Samuel Thibault <sthibault@debian.org>
 Build-Depends:
- debhelper-compat (= 12), dh-exec,
- automake, libtool, gawk,
+ debhelper-compat (= 13), dh-exec, dh-sequence-python3,
+ automake, libtool,
+ python3:any, python3-xdg,
  flite1-dev (>= 1.4), flite,
  libespeak-dev, libespeak-ng-dev,
  libdumbtts-dev,
@@ -21,11 +23,10 @@
  libglib2.0-dev (>= 2.36),
  libltdl-dev,
  pkgconf,
+ systemd [linux-any],
  systemd-dev [linux-any],
- gettext, texinfo,
- help2man <!cross>
-Build-Depends-Indep:
- python3:any, python3-xdg, dh-sequence-python3, python3-setuptools,
+ libsystemd-dev [linux-any],
+ gettext, texinfo, help2man
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/tts-team/speech-dispatcher
 Vcs-Git: https://salsa.debian.org/tts-team/speech-dispatcher.git
@@ -143,7 +144,7 @@
 # which needs to be installed separately.
 #
 #Package: speech-dispatcher-voxin
-#Architecture: arm64 armhf amd64 i386
+#Architecture: amd64 i386
 #Multi-Arch: foreign
 #Section: contrib/sound
 #Depends:
@@ -317,4 +318,3 @@
  ${misc:Depends},
  ${python3:Depends}
 Description: Python interface to Speech Dispatcher
- Speech Dispatcher provides a device independent layer for speech synthesis.

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,9 @@
 
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 include /usr/share/dpkg/pkg-info.mk
+
+export deb_systemdsystemunitdir = $(shell pkgconf --variable=systemdsystemunitdir systemd | sed s,^/,,)
+export deb_systemduserunitdir = $(shell pkgconf --variable=systemduserunitdir systemd | sed s,^/,,)
 
 # NAS is in universe in Ubuntu
 ifeq ($(shell dpkg-vendor --derives-from Ubuntu && echo yes),yes)

## speech-dispatcher 0.12.0~rc3

=== debian/changelog ===
speech-dispatcher (0.12.0~rc3-2) experimental; urgency=medium

  * crash-no-client-hang: Fix brltty hanging on spd crash.
  * cancel-crash: Fix crash on cancellation.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 23 Jun 2024 18:57:55 +0200

speech-dispatcher (0.12.0~rc3-1) experimental; urgency=medium

  * New upstream RC release

 -- Samuel Thibault <sthibault@debian.org>  Mon, 29 Apr 2024 01:10:54 +0200

speech-dispatcher (0.12.0~rc2-3) experimental; urgency=medium

  * rules: Drop dh_missing for the contrib package.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 25 Mar 2024 16:51:28 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: speech-dispatcher
 Section: sound
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian TTS Team <tts-project@alioth-lists.debian.net>
+Maintainer: Debian TTS Team <tts-project@alioth-lists.debian.net>
 Uploaders:
  Paul Gevers <elbrus@debian.org>, Samuel Thibault <sthibault@debian.org>
 Build-Depends:
@@ -318,3 +317,4 @@
  ${misc:Depends},
  ${python3:Depends}
 Description: Python interface to Speech Dispatcher
+ Speech Dispatcher provides a device independent layer for speech synthesis.

## speech-dispatcher 0.12.0

=== debian/changelog ===
speech-dispatcher (0.12.0-5) unstable; urgency=medium

  * rules: Be more precise in blhc ignore.
  * patches/git-punctuation: Fix punctuation levels.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 02 Jul 2025 01:34:43 +0200

speech-dispatcher (0.12.0-4) unstable; urgency=medium

  * patches/git-generic-empty: Fix hang on empty uterances.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 06 May 2025 21:23:58 +0200

speech-dispatcher (0.12.0-3) unstable; urgency=medium

  [ Samuel Thibault ]
  * rules: Explicitly disable the pico module.
  * patches/output-stuck: Fix speechd getting stuck on some reply/event
    dispatch situations (Closes: Bug#1101805)

  [ Alessandro Astone]
  * tests: Require isolation-container.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 06 Apr 2025 16:27:20 +0200

speech-dispatcher (0.12.0-2) unstable; urgency=medium

  * Re-integrate 0.11.5-5.1 changes (Closes: Bug#1084827)

 -- Samuel Thibault <sthibault@debian.org>  Mon, 24 Feb 2025 21:32:18 +0100

speech-dispatcher (0.12.0-1) unstable; urgency=medium

  * New upstream release (Closes: Bug#1097914)
    - patches/mbrola-paths: Refresh.
  * control: Make speech-dispatcher-openjtalk depend on open-jtalk and
    recommend the only known dictionary and voice.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 12 Jan 2025 01:09:38 +0100

speech-dispatcher (0.12.0~rc4-2) experimental; urgency=medium

  * control: Add libspeechd-module0 and speech-dispatcher-openjtalk packages.
  * speech-dispatcher.install: Move libspeechd-module to...
  * libspeechd-module0.install: ... new package.
  * speech-dispatcher-openjtalk.install: Move sd_openjtalk to...
  * speech-dispatcher-openjtalk.install: ... new package.
  * control: Build-dep on libpipewire-0.3-dev only on linux for now.
  * rules: Run dh_makeshlibs on libspeechd-module0 instead of speech-dispatcher.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 29 Oct 2024 22:39:39 +0100

speech-dispatcher (0.12.0~rc4-1) experimental; urgency=medium

  * New upstream RC release
    - control: Add libpipewire-0.3-dev build-dep.
    - patches/mbrola-paths: Refresh.
    - patches/crash-no-client-hang: Upstreamed.
    - patches/cancel-crash: Upstreamed.
    - speech-dispatcher.install: Install libspeechd_module.
    - rules: Run dh_makeshlibs on speech-dispatcher.
    * control, rules: Make speech-dispatcher-contrib build-depends on
      speech-dispatcher.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 29 Oct 2024 01:13:55 +0100

speech-dispatcher (0.11.5-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Ship alias for speech-dispatcherd.service as static symlink in the package
    instead of creating it on enable only (Closes: #1084827)
  * Do not attempt a start of speech-dispatcherd.service after a fresh
    install, as the service is disabled by default.

 -- Michael Biebl <biebl@debian.org>  Fri, 18 Oct 2024 17:07:25 +0200

=== debian/rules ===
--- 
+++ 
@@ -16,26 +16,46 @@
 endif
 endif
 
+CONFIGURE=--with-module-bindir=\$${prefix}/lib/speech-dispatcher-modules \
+		pidpath=/run/speech-dispatcher/ $(NAS)
+
 ifeq ($(DEB_SOURCE),speech-dispatcher)
 # disable non-free syntheses
-CONFIGURE=--with-baratinoo=no --with-ibmtts=no --with-voxin=no --with-kali=no --with-ivona=no
+CONFIGURE += --with-pico=no --with-baratinoo=no --with-kali=no --with-ibmtts=no --with-voxin=no --with-ivona=no
 endif
+
+ifneq (,$(filter cross,$(DEB_BUILD_PROFILES))$(filter speech-dispatcher-contrib,$(DEB_SOURCE)))
+# ignore non-installed files
+override_dh_missing:
+	:
+endif
+
+# Disable python discovery in binary-arch builds, so we can cross-compile
+CONFIGURE_ARCH=--disable-python
 
 %:
 	dh $@
 
-override_dh_auto_configure:
+config/modules/espeak-ng-mbrola-generic.conf:
 	for i in espeak-ng-mbrola-generic.conf \
 	         espeak-mbrola-generic.conf ; do \
 		sed < config/modules/$$i.in > config/modules/$$i -e "s/\$$DEB_HOST_MULTIARCH/$(DEB_HOST_MULTIARCH)/" ; \
 	done
-	dh_auto_configure -- --with-module-bindir=\$${prefix}/lib/speech-dispatcher-modules \
-			     $(CONFIGURE) \
-	                     pidpath=/run/speech-dispatcher/ $(NAS)
+
+override_dh_auto_configure-arch: config/modules/espeak-ng-mbrola-generic.conf
+	dh_auto_configure -- $(CONFIGURE) $(CONFIGURE_ARCH)
+
+override_dh_auto_configure-indep: config/modules/espeak-ng-mbrola-generic.conf
+	dh_auto_configure -- $(CONFIGURE)
+
+override_dh_auto_build:
+	# Bug#950793
+	@echo blhc: ignore-line-regexp: '.* "sd_.*S.c".*'
+	@echo blhc: ignore-line-regexp: '.* -o .libs/libspeechd_module.so.*'
+	@echo blhc: ignore-line-regexp: '.* -o .libs/sd_.*'
+	dh_auto_build
 
 override_dh_auto_install:
-	# Bug#950793
-	@echo blhc: ignore-line-regexp: libtool: link:.*
 	dh_auto_install --destdir=debian/tmp
 
 ifeq ($(DEB_SOURCE),speech-dispatcher)
@@ -47,7 +67,7 @@
 	chmod 700 $(CURDIR)/debian/speech-dispatcher/var/log/speech-dispatcher
 
 override_dh_makeshlibs:
-	dh_makeshlibs -plibspeechd2
+	dh_makeshlibs -plibspeechd2 -plibspeechd-module0
 endif
 
 override_dh_builddeb:
@@ -57,13 +77,15 @@
 	dh_gencontrol ${builddeb_overrides}
 
 override_dh_installsystemd:
-	dh_installsystemd --no-enable
+	dh_installsystemd --no-enable --no-start
 
 # Switch to main rules
 main:
 	sed -i 's/^speech-dispatcher-contrib /speech-dispatcher /' debian/changelog
 	sed -i '1s/^Source: speech-dispatcher-contrib$$/Source: speech-dispatcher/' debian/control
 	sed -i 's/^ libttspico-dev/# libttspico-dev/' debian/control
+	sed -i 's/^ speech-dispatcher (>= 0/# speech-dispatcher (>= 0/' debian/control
+	sed -i 's/^# help2man/ help2man/' debian/control
 	sed -i '/^#start-contrib$$/,/^#end-contrib$$/s/^/#/' debian/control
 	sed -i '/Package: speech-dispatcher$$/,$$s/^#*//' debian/control
 	sed -i '1,/^$$/s_^Section: contrib/_Section: _' debian/control
@@ -73,6 +95,8 @@
 	sed -i 's/^speech-dispatcher /speech-dispatcher-contrib /' debian/changelog
 	sed -i '1s/^Source: speech-dispatcher$$/Source: speech-dispatcher-contrib/' debian/control
 	sed -i 's/^#* libttspico-dev/ libttspico-dev/' debian/control
+	sed -i 's/^#* speech-dispatcher (>= 0/ speech-dispatcher (>= 0/' debian/control
+	sed -i 's/^ help2man/# help2man/' debian/control
 	sed -i '/^##start-contrib$$/,/^##end-contrib$$/s/^#//' debian/control
 	sed -i '/Package: speech-dispatcher$$/,$$s/^/#/' debian/control
 	sed -i '1,/^$$/s_^Section: \([^/]*\)$$_Section: contrib/\1_' debian/control

=== debian/tests/control ===
Tests: tests
Depends: speech-dispatcher, libspeechd-dev, pulseaudio,
         @builddeps@
Restrictions: isolation-container

## speech-dispatcher 0.12.1

=== src/api/guile/Makefile ===
# Makefile for speechd-guile

# Copyright (C) 2004 Brailcom, o.p.s.
#
# Author: Milan Zamazal <pdm@brailcom.org>
#
# COPYRIGHT NOTICE
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
# or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <https://www.gnu.org/licenses/>.


prefix = /usr/local
INSTALL_PATH = $(prefix)/share/guile/site

CC = gcc
CFLAGS = -g -Wall

INSTALL_PROGRAM = install -m 755
INSTALL_DATA = install -m 644

PROGRAM = gssip

.PHONY: all install install-strip uninstall clean distclean mostlyclean \
	maintainer-clean TAGS info dvi dist check

all: $(PROGRAM).so $(PROGRAM).scm

$(PROGRAM).so: $(PROGRAM).c $(PROGRAM).x $(PROGRAM).h
	$(CC) $(CFLAGS) -shared -fPIC -o $@ $(PROGRAM).c -lguile -lspeechd

%.x: %.c
	guile-snarf -o $@ $<

%.scm: %.scm.in
	sed 's/%%path%%/$(subst /,\/,$(INSTALL_PATH))/' $< > $@

install: all
	mkdir -p $(INSTALL_PATH)
	$(INSTALL_PROGRAM) $(PROGRAM).so $(INSTALL_PATH)
	$(INSTALL_DATA) $(PROGRAM).scm $(INSTALL_PATH)

install-strip:
	$(MAKE) INSTALL_PROGRAM='$(INSTALL_PROGRAM) -s' install

uninstall:

mostlyclean:
	rm -f *.scm *.so *.x

clean: mostlyclean

distclean: clean

maintainer-clean: distclean

TAGS:

info:

dvi:

dist:

check:

=== debian/changelog ===
speech-dispatcher (0.12.1-3) unstable; urgency=medium

  [ Samuel Thibault ]
  * copyright: Update.
  * control: Drop libaudio-dev build-dependency (Closes: Bug#1123786)
  * rules: Drop NAS configuration tuning.

  [ Luca Boccassi ]
  * postrm: stop deleting system user
  * postinst: do not create directory in /run/
  * postinst: drop workarounds for versions older than Squeeze
  * Create log directory using tmpfiles.d
  * Add sysusers file

 -- Samuel Thibault <sthibault@debian.org>  Mon, 05 Jan 2026 01:59:15 +0100

speech-dispatcher (0.12.1-2) unstable; urgency=medium

  * Upload to unstable.
    - patches/git-punctuation: Upstreamed.
  * Update standards version to 4.6.2, no changes needed.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 25 Aug 2025 22:40:04 +0200

speech-dispatcher (0.12.1-1) experimental; urgency=medium

  * New upstream release.
    - patches/mbrola-paths: Refresh.
    - patches/output-stuck: Upstreamed.
    - patches/git-generic-empty: Upstreamd.
  * rules: Ignore blhc failure when linking modules.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 06 May 2025 22:43:04 +0200

=== debian/control ===
--- 
+++ 
@@ -5,33 +5,36 @@
 Uploaders:
  Paul Gevers <elbrus@debian.org>, Samuel Thibault <sthibault@debian.org>
 Build-Depends:
- debhelper-compat (= 13), dh-exec, dh-sequence-python3,
- automake, libtool,
- python3:any, python3-xdg,
+ debhelper-compat (= 13), dh-exec,
+ dh-sequence-installsysusers,
+ automake, libtool, gawk,
  flite1-dev (>= 1.4), flite,
  libespeak-dev, libespeak-ng-dev,
  libdumbtts-dev,
 # libttspico-dev,
+# speech-dispatcher (>= 0.12.0~rc4~),
  libao-dev,
  libasound2-dev [linux-any],
- libaudio-dev,
  libpulse-dev,
+ libpipewire-0.3-dev [linux-any],
  libxau-dev,
  libsndfile1-dev,
  libdotconf-dev (>= 1.3),
  libglib2.0-dev (>= 2.36),
  libltdl-dev,
  pkgconf,
- systemd [linux-any],
  systemd-dev [linux-any],
  libsystemd-dev [linux-any],
- gettext, texinfo, help2man
+ gettext, texinfo,
+ help2man <!cross>
+Build-Depends-Indep:
+ python3:any, python3-xdg, dh-sequence-python3, python3-setuptools,
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/tts-team/speech-dispatcher
 Vcs-Git: https://salsa.debian.org/tts-team/speech-dispatcher.git
 Homepage: http://devel.freebsoft.org/speechd
 XS-Autobuild: yes
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 
 ##start-contrib
 #Package: speech-dispatcher-pico
@@ -143,7 +146,7 @@
 # which needs to be installed separately.
 #
 #Package: speech-dispatcher-voxin
-#Architecture: amd64 i386
+#Architecture: arm64 armhf amd64 i386
 #Multi-Arch: foreign
 #Section: contrib/sound
 #Depends:
@@ -200,7 +203,6 @@
 Architecture: any
 Multi-Arch: foreign
 Depends:
- adduser,
  speech-dispatcher-audio-plugins (= ${binary:Version}),
  init-system-helpers (>= 1.51),
  ${misc:Depends},
@@ -238,6 +240,29 @@
  .
  This package contains Speech Dispatcher itself.
 
+Package: libspeechd-module0
+Architecture: any
+Multi-Arch: same
+Section: libs
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+Pre-Depends:
+ ${misc:Pre-Depends}
+Description: Speech Dispatcher: Shared libraries for modules
+ Speech Dispatcher provides a device independent layer for speech synthesis.
+ It supports various software and hardware speech synthesizers as
+ backends and provides a generic layer for synthesizing speech and
+ playing back PCM data via those different backends to applications.
+ .
+ Various high level concepts like enqueueing vs. interrupting speech and
+ application specific user configurations are implemented in a device
+ independent way, therefore freeing the application programmer from
+ having to yet again reinvent the wheel.
+ .
+ This package contains a shared library that speech-dispatcher modules can use
+ for the ground support.
+
 Package: libspeechd2
 Architecture: any
 Multi-Arch: same
@@ -290,31 +315,3 @@
 Depends:
  cl-regex,
  ${misc:Depends}
-Description: Common Lisp interface to Speech Dispatcher
- Speech Dispatcher provides a device independent layer for speech synthesis.
- It supports various software and hardware speech synthesizers as
- backends and provides a generic layer for synthesizing speech and
- playing back PCM data via those different backends to applications.
- .
- Various high level concepts like enqueueing vs. interrupting speech and
- application specific user configurations are implemented in a device
- independent way, therefore freeing the application programmer from
- having to yet again reinvent the wheel.
- .
- This package contains a Common Lisp library for communication with Speech
- Dispatcher.
-
-Package: python3-speechd
-Architecture: all
-Multi-Arch: foreign
-Section: python
-Breaks:
- python-speechd
-Replaces:
- python-speechd
-Depends:
- python3-xdg,
- ${misc:Depends},
- ${python3:Depends}
-Description: Python interface to Speech Dispatcher
- Speech Dispatcher provides a device independent layer for speech synthesis.

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,6 @@
 
 # NAS is in universe in Ubuntu
 ifeq ($(shell dpkg-vendor --derives-from Ubuntu && echo yes),yes)
-	NAS = --with-nas=no
 ifneq (,$(filter speech-dispatcher-festival,$(shell dh_listpackages)))
 ifeq (${DEB_HOST_ARCH},i386)
 	builddeb_overrides = -Nspeech-dispatcher-festival
@@ -17,7 +16,7 @@
 endif
 
 CONFIGURE=--with-module-bindir=\$${prefix}/lib/speech-dispatcher-modules \
-		pidpath=/run/speech-dispatcher/ $(NAS)
+		pidpath=/run/speech-dispatcher/
 
 ifeq ($(DEB_SOURCE),speech-dispatcher)
 # disable non-free syntheses
@@ -50,21 +49,15 @@
 
 override_dh_auto_build:
 	# Bug#950793
+	# Bug#996741
 	@echo blhc: ignore-line-regexp: '.* "sd_.*S.c".*'
 	@echo blhc: ignore-line-regexp: '.* -o .libs/libspeechd_module.so.*'
 	@echo blhc: ignore-line-regexp: '.* -o .libs/sd_.*'
 	dh_auto_build
 
-override_dh_auto_install:
-	dh_auto_install --destdir=debian/tmp
-
 ifeq ($(DEB_SOURCE),speech-dispatcher)
 override_dh_installinit:
 	dh_installinit -a --error-handler=true --no-enable --no-start
-
-override_dh_fixperms-arch:
-	dh_fixperms
-	chmod 700 $(CURDIR)/debian/speech-dispatcher/var/log/speech-dispatcher
 
 override_dh_makeshlibs:
 	dh_makeshlibs -plibspeechd2 -plibspeechd-module0
